
package com.dxhy.manage.service;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;
import com.dxhy.common.utils.PageUtils;
import com.dxhy.manage.entity.SysDeptEntity;

import javax.servlet.http.HttpServletResponse;
import java.util.List;
import java.util.Map;

/**
 * 系统配置信息
 *
 * @author jiaohongyang
 */
public interface CheckStatService extends IService<SysDeptEntity> {

    /**
     * 获取查验集团下的税号
     *
     * @return
     */
    List<SysDeptEntity> queryTaxnoList();

    JSONObject getYearTitle();

    PageUtils queryYearPage(Map<String, String> params);

    JSONObject getMonthTitle();

    PageUtils queryMonthPage(Map<String, String> params);

    void exportExcel(Map<String, String> params, HttpServletResponse response);

    PageUtils queryDayPage(Map<String, String> params);

    JSONObject getDayTitle();
}
